﻿local RSwapper3 = LibStub("AceAddon-3.0"):NewAddon("RSwapper3", "AceConsole-3.0", "AceEvent-3.0");
local L = LibStub("AceLocale-3.0"):GetLocale("RSwapper3", true);

-- Localized Constants
RSwapper3.LWEAPON = ENCHSLOT_WEAPON;
RSwapper3.LFISHINGSPELL = GetSpellInfo(7620);
RSwapper3.LFISHINGPOLES = GetSpellInfo(7738);
RSwapper3.LBLIND = (GetSpellInfo(2094));
RSwapper3.LTARGETSTUNS = 
        (GetSpellInfo(1776)) .. ";" .. -- Gouge
        (GetSpellInfo(6770)) .. ";" .. -- Sap
        (GetSpellInfo(408)) .. ";" .. -- Kidney Shot
        (GetSpellInfo(1833)); -- Cheap Shot

RSwapper3.LPLAYERSTUNS =
        (GetSpellInfo(1776)) .. ";" .. -- Gouge
        (GetSpellInfo(6770)) .. ";" .. -- Sap
        (GetSpellInfo(408)) .. ";" .. -- Kidney Shot
        (GetSpellInfo(1833)) .. ";" .. -- Cheap Shot
        (GetSpellInfo(2094)) .. ";" .. -- Blind
        (GetSpellInfo(5782)) .. ";" .. -- Fear
        (GetSpellInfo(8122)) .. ";" .. -- Psychic Scream
        (GetSpellInfo(5246)) .. ";" .. -- Intimidating Shout
        (GetSpellInfo(3355)) .. ";" .. -- Freezing Trap Effect
        (GetSpellInfo(853)) .. ";" .. -- Hammer of Justice
        (GetSpellInfo(2880)); -- Stun
		
-- String Constants
RSwapper3.RS3VERSION = GetAddOnMetadata("RSwapper3", "Version");
RSwapper3.HAVESWORD = format("|cff0072bc[%s]|r", L["Sword"]);
RSwapper3.NEEDSWORD = format("|cffff8040[%s]|r", L["Sword"]);
RSwapper3.HAVEDAGGER = format("|cffa335ee[%s]|r", L["Dagger"]);
RSwapper3.NEEDDAGGER = format("|cffff0000[%s]|r", L["Dagger"]);
RSwapper3.ISFISHING = format("|cff00ffff[%s]|r", RSwapper3.LFISHINGSPELL);
RSwapper3.ISJOUSTING = format("|cffabcffc[%s]|r", GetSpellInfo(45105));

RSwapper3.nMAINHANDSLOT = (GetInventorySlotInfo("MAINHANDSLOT"));
RSwapper3.nSECONDARYHANDSLOT = (GetInventorySlotInfo("SECONDARYHANDSLOT"));
RSwapper3.ISCHARROGUE = false;
RSwapper3.LASTERR = 0;
RSwapper3.LASTERRT = GetTime();
RSwapper3.Sounds = {};